Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class WildcardNameToken

    java.lang.Object
      com.novell.xml.xpath.Token
          com.novell.xml.xpath.WildcardNameToken

    public class WildcardNameToken

extends Token

Class representing a WildcardName token in the XPath expression language (QName, NCName:*, or *)

See Also:
  `Scanner`

Field Summary

Fields inherited from class com.novell.xml.xpath.Token
`AT, AXIS_NAME, COLON_COLON, COMMA, DOT, DOT_DOT, FUNCTION_NAME, LEFT_BRACKET, LEFT_PAREN, LITERAL, MAX_TYPE, NODE_TYPE, NOT_A_TOKEN, NUMBER, OPERATOR, RIGHT_BRACKET, RIGHT_PAREN, VARIABLE_REF, WILDCARD_NAME`

Constructor Summary
`WildcardNameToken()` Construct a token representing the WildcardName "*"
`WildcardNameToken(String pfix)` Construct a Token representing the WildcardName "prefix:*"
`WildcardNameToken(String pfix, String nc)` Construct a token representing a WildcardName of the form "QName" Note: Prefix may be the empty string.

Method Summary
`boolean` | `equals(Token rhs)` Compare this Token to passed Token
`String` | `getNCName()` Return local name part of QName
`String` | `getPrefix()` Return namespace prefix portion of QName
`String` | `toString()` Return text representing this WildcardNameToken

Methods inherited from class com.novell.xml.xpath.Token
`dump, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WildcardNameToken

    public WildcardNameToken()

  Construct a token representing the WildcardName "*"

### WildcardNameToken

    public WildcardNameToken(String pfix)

  Construct a Token representing the WildcardName "prefix:*"

  Parameters:
    `pfix` - prefix of WildcardName

### WildcardNameToken

    public WildcardNameToken(String pfix,
                             String nc)

  Construct a token representing a WildcardName of the form "QName" Note: Prefix may be the empty string.

  Parameters:
    `pfix` - Namespace prefix of QName
    `nc` - LocalName of QName

Method Detail

### equals

    public boolean equals(Token rhs)

  Compare this Token to passed Token

  Overrides:
    `equals` in class `Token`
  Parameters:
    `rhs` - Token to compare against
  Returns:
    true if this Token equals rhs Token

### toString

    public String toString()

  Return text representing this WildcardNameToken

  Overrides:
    `toString` in class `Token`
  Returns:
    String representing this Token

### getPrefix

    public String getPrefix()

  Return namespace prefix portion of QName

  Returns:
    prefix string

### getNCName

    public String getNCName()

  Return local name part of QName

  Returns:
    local name string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD